# I2DShImportExportMananger Struct Reference

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | GetExportCapabilities (IDType format, ImageExportCapabilities &capabitilities)=0
virtual void MCCOMAPI | GetFileTypeListForSave (TMCFileTypeList &typeList, boolean onlyReadableFormats)=0
virtual void MCCOMAPI | GetFileTypeListForOpen (TMCFileTypeList &typeList)=0
virtual void | GetImporter (I2DShImportFilter **imageImporter, MCFileTypeID format)=0
virtual void | GetExporter (I2DShExportFilter **imageExporter, MCFileTypeID format)=0
virtual boolean MCCOMAPI | GetExportCapabilities (IDType format, ImageExportCapabilities &capabitilities, const TPSOptions *psPluginOptions)=0

## Detailed Description

API to access the Image import/export manager in the application.

## Member Function Documentation

virtual boolean MCCOMAPI I2DShImportExportMananger::GetExportCapabilities | ( | IDType | format,
|  | ImageExportCapabilities & | capabitilities,
|  | const TPSOptions * | psPluginOptions |
| ) |  |  | `[pure virtual]`

Returns the export capabilities for a given file format.

Parameters:

  | format | The ID of the file format.
  | capabitilities | The buffers that this format can save.
  | psPluginOptions | The plugin options.

Returns:
  True if the format is supported.

virtual boolean MCCOMAPI I2DShImportExportMananger::GetExportCapabilities | ( | IDType | format,
|  | ImageExportCapabilities & | capabitilities |
| ) |  |  | `[pure virtual]`

Returns the export capabilities for a given file format (DEPRECATED).

Parameters:

  | format | The ID of the file format.
  | capabitilities | The buffers that this format can save.

Returns:
  True if the format is supported.

virtual void I2DShImportExportMananger::GetExporter | ( | I2DShExportFilter ** | imageExporter,
|  | MCFileTypeID | format |
| ) |  |  | `[pure virtual]`

Returns the export plugin that can export a given image format.

Parameters:

  | imageExporter | The exporter that is returned (NULL if no importer is found)
  | format | The id of the file format.

virtual void MCCOMAPI I2DShImportExportMananger::GetFileTypeListForOpen | ( | TMCFileTypeList & | typeList | ) | `[pure virtual]`

Returns the list of the image file types that are supported by the application.

Parameters:

  | typeList | The list of image file types that is returned.

virtual void MCCOMAPI I2DShImportExportMananger::GetFileTypeListForSave | ( | TMCFileTypeList & | typeList,
|  | boolean | onlyReadableFormats |
| ) |  |  | `[pure virtual]`

Returns the list of the image file types that are supported by the application.

Parameters:

  | typeList | The list of image file types that is returned.
  | onlyReadableFormats | True if the only formats we want are the ones we can also read

virtual void I2DShImportExportMananger::GetImporter | ( | I2DShImportFilter ** | imageImporter,
|  | MCFileTypeID | format |
| ) |  |  | `[pure virtual]`

Returns the import plugin that can import a given image format.

Parameters:

  | imageImporter | The importer that is returned (NULL if no importer is found)
  | format | The id of the file format.

The documentation for this struct was generated from the following file:

- I2DShImportExportMananger.h